---
schema_version: "1"
id: c60e5be3936c878e142378af2f2849ecce0885f1979b22701f93d0cd2aa0f6a5
title: Delete Records in Marketing Cloud Next Using REST API
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/mc-core/guide/mc-manage-objects/mc-manage-objects-delete/mc-manage-objects-delete-rest.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud-growth/guide/mc-manage-objects-delete-rest.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 87f175794595fb190af2b51459e812786dc7c695728c2c06a24d14ab38b9cf4b
products:
  - Marketing Cloud Next
  - Marketing Cloud
---
# Delete Records in Marketing Cloud Next Using REST API

You can delete individual records using the [delete sObject rows](https://developer.salesforce.com/docs/atlas.en-us.api_rest.meta/api_rest/resources_sobject_retrieve_delete.htm) endpoints in REST API.

## Record Types

You can use REST API to delete these record types.

| Record Type        | API Name        |
| ------------------ | --------------- |
| Contact records    | `Contact`       |
| Lead records       | `Lead`          |
| Campaigns          | `Campaign`      |
| Marketing segments | `MarketSegment` |
| Flows              | `FlowRecord`    |

## Prerequisite

Before you send a request to REST API, obtain a bearer token. For more information, see [Connect to REST-based APIs](https://developer.salesforce.com/docs/marketing/mc-connect-apis/mc-connect-apis-rest.md).

If you don’t know the IDs of the records that you want to delete, [perform a query](https://developer.salesforce.com/docs/marketing/marketing-cloud-growth/mc-manage-objects-query/mc-manage-objects-query.md).

## Send the Request

To delete a record, send a DELETE request to the `/data/{apiVersion}/sobjects/OBJECT_API_NAME/RECORD_ID` endpoint. Replace `OBJECT_API_NAME` with the API name of the type of object that you want to delete, and replace `RECORD_ID` with the unique ID of the record to delete. You can find the IDs for the records that you want to delete by [running a query](https://developer.salesforce.com/docs/marketing/marketing-cloud-growth/mc-manage-objects-query/mc-manage-objects-query.md).

This example shows how to delete a marketing segment. The DELETE operation doesn’t contain a request body.

```
DELETE /services/data/{apiVersion}/sobjects/MarketSegment/RECORD_ID HTTP/1.1
Host: YOUR_SUBDOMAIN.my.salesforce.com
Content-Type: application/json
Authorization: Bearer YOUR_BEARER_TOKEN
```

When the record is deleted successfully, the API returns a `204 No Content` response with no response body.
